com.genesyslab.wfm8.API.service.config850

## Class CfgState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgState

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgState
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State to State Group mapping information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmCfgStateId`
    `protected int` | `wmCfgStateType`
    `protected int` | `wmFixedStateId`
    `protected java.lang.String` | `wmName`
    `protected int` | `wmSchStateId`
    `protected int` | `wmSchStateType`
    `protected java.lang.String` | `wmShortName`
    `protected int` | `wmSiteId`
    `protected int` | `wmStateGroupId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmCfgStateId()` Gets the value of the wmCfgStateId property.
    `int` | `getWmCfgStateType()` Gets the value of the wmCfgStateType property.
    `int` | `getWmFixedStateId()` Gets the value of the wmFixedStateId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmSchStateId()` Gets the value of the wmSchStateId property.
    `int` | `getWmSchStateType()` Gets the value of the wmSchStateType property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStateGroupId()` Gets the value of the wmStateGroupId property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmCfgStateId(int value)` Sets the value of the wmCfgStateId property.
    `void` | `setWmCfgStateType(int value)` Sets the value of the wmCfgStateType property.
    `void` | `setWmFixedStateId(int value)` Sets the value of the wmFixedStateId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSchStateId(int value)` Sets the value of the wmSchStateId property.
    `void` | `setWmSchStateType(int value)` Sets the value of the wmSchStateType property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStateGroupId(int value)` Sets the value of the wmStateGroupId property.
    `java.lang.String` | `toString()`
    `CfgState` | `withTimestamp(long value)`
    `CfgState` | `withWmCfgStateId(int value)`
    `CfgState` | `withWmCfgStateType(int value)`
    `CfgState` | `withWmFixedStateId(int value)`
    `CfgState` | `withWmName(java.lang.String value)`
    `CfgState` | `withWmSchStateId(int value)`
    `CfgState` | `withWmSchStateType(int value)`
    `CfgState` | `withWmShortName(java.lang.String value)`
    `CfgState` | `withWmSiteId(int value)`
    `CfgState` | `withWmStateGroupId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCfgStateId

          protected int wmCfgStateId

    - #### wmSiteId

          protected int wmSiteId

    - #### wmStateGroupId

          protected int wmStateGroupId

    - #### wmCfgStateType

          protected int wmCfgStateType

    - #### wmFixedStateId

          protected int wmFixedStateId

    - #### wmSchStateType

          protected int wmSchStateType

    - #### wmSchStateId

          protected int wmSchStateId

    - #### wmName

          protected java.lang.String wmName

    - #### wmShortName

          protected java.lang.String wmShortName

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgState

          public CfgState()

  - ### Method Detail

    - #### getWmCfgStateId

          public int getWmCfgStateId()

      Gets the value of the wmCfgStateId property.

    - #### setWmCfgStateId

          public void setWmCfgStateId(int value)

      Sets the value of the wmCfgStateId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmStateGroupId

          public int getWmStateGroupId()

      Gets the value of the wmStateGroupId property.

    - #### setWmStateGroupId

          public void setWmStateGroupId(int value)

      Sets the value of the wmStateGroupId property.

    - #### getWmCfgStateType

          public int getWmCfgStateType()

      Gets the value of the wmCfgStateType property.

    - #### setWmCfgStateType

          public void setWmCfgStateType(int value)

      Sets the value of the wmCfgStateType property.

    - #### getWmFixedStateId

          public int getWmFixedStateId()

      Gets the value of the wmFixedStateId property.

    - #### setWmFixedStateId

          public void setWmFixedStateId(int value)

      Sets the value of the wmFixedStateId property.

    - #### getWmSchStateType

          public int getWmSchStateType()

      Gets the value of the wmSchStateType property.

    - #### setWmSchStateType

          public void setWmSchStateType(int value)

      Sets the value of the wmSchStateType property.

    - #### getWmSchStateId

          public int getWmSchStateId()

      Gets the value of the wmSchStateId property.

    - #### setWmSchStateId

          public void setWmSchStateId(int value)

      Sets the value of the wmSchStateId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmCfgStateId

          public CfgState withWmCfgStateId(int value)

    - #### withWmSiteId

          public CfgState withWmSiteId(int value)

    - #### withWmStateGroupId

          public CfgState withWmStateGroupId(int value)

    - #### withWmCfgStateType

          public CfgState withWmCfgStateType(int value)

    - #### withWmFixedStateId

          public CfgState withWmFixedStateId(int value)

    - #### withWmSchStateType

          public CfgState withWmSchStateType(int value)

    - #### withWmSchStateId

          public CfgState withWmSchStateId(int value)

    - #### withWmName

          public CfgState withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgState withWmShortName(java.lang.String value)

    - #### withTimestamp

          public CfgState withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.